# SPDX-License-Identifier: CC0-1.0

{ stdenv, fetchgit, buildPackages }:

stdenv.mkDerivation rec {
  pname = "sotest-producer";
  version = "0.2.0";

  nativeBuildInputs = with buildPackages; [ tup pkgconfig ];

  src = buildPackages.fetchgit {
    url = "https://gitea.c3d2.de/ehmry/genode-sotest-producer.git";
    rev = "v" + version;
    sha256 = "01qy86khkihj8jgvgc92w4bb3kpf640g1l2m5h5ym7s03viqinkr";
  };

  configurePhase = ''
    # Scan repository and generate script
    tup init
    tup generate buildPhase.sh
  '';

  buildPhase = ''
    pushd .
    set -v
    source buildPhase.sh
    set +v
    popd
  '';

  installPhase = "install -Dm755 {.,$out/bin}/sotest-harness";

  meta = with stdenv.lib; {
    license = "LicenseRef-Genode.txt";
    maintainers = [ maintainers.ehmry ];
  };

}
