-- SPDX-License-Identifier: CC0-1.0

let Genode = env:DHALL_GENODE

let Child = Genode.Init.Child

in  Genode.Boot::{
    , config = Genode.Init::{
      , children = toMap
          { test-rtc =
              Child.flat
                Child.Attributes::{
                , binary = "test-rtc"
                , exitPropagate = True
                , routes =
                  [ Genode.Init.ServiceRoute.parent "Timer"
                  , Genode.Init.ServiceRoute.child "Rtc" "rtc_drv"
                  ]
                }
          , rtc_drv =
              Child.flat
                Child.Attributes::{
                , binary = "rtc_drv"
                , provides = [ "Rtc" ]
                , routes = [ Genode.Init.ServiceRoute.parent "IO_PORT" ]
                }
          }
      }
    }
